#! /usr/local/epd/bin/python
"""
Execute statistical modules for ROI analysis in the package bss
"""

"""Copyright (C) Shantanu H. Joshi, David Shattuck,
Brain Mapping Center, University of California Los Angeles

Bss is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

Bss is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA."""


__author__ = "Shantanu H. Joshi"
__copyright__ = "Copyright 2015, Shantanu H. Joshi, David Shattuck, Ahmanson Lovelace Brain Mapping Center" \
                "University of California Los Angeles"
__email__ = "s.joshi@g.ucla.edu"
__credits__ = 'Contributions and ideas: Shantanu H. Joshi, Roger P. Woods, David Shattuck. ' \
              'Inspired by the stats package rshape by Roger P. Woods'


class AttributeLengthError(Exception):
    def __init__(self, message):
        super(AttributeLengthError, self).__init__(message)
        self.message = message


class FileZeroElementsReadError(Exception):
    def __init__(self, message):
        super(FileZeroElementsReadError, self).__init__(message)
        self.message = message


class AttributeMissingError(Exception):
    def __init__(self, message):
        super(AttributeMissingError, self).__init__(message)
        self.message = message


class ModelFailureError(Exception):
    def __init__(self, message):
        super(ModelFailureError, self).__init__(message)
        self.message = message


class DemographicsDataError(Exception):
    def __init__(self, message):
        super(DemographicsDataError, self).__init__(message)
        self.message = message


class RNotInstalledError(Exception):
    def __init__(self, message):
        super(RNotInstalledError, self).__init__(message)
        self.message = message


class ExtraFilesError(Exception):
    def __init__(self, message):
        super(ExtraFilesError, self).__init__(message)
        self.message = message
